Page MenuHomePhabricator

EFM crashes E on wayland stable
Closed, ResolvedPublic

Description

1.20.3 and 0.21.9

Closing it, popups double clicking on it etc takes down E.

You basically can't use it.

This is efl related and broke between 1.20.2 (in which efm worked ok) and 1.20.3

ApB created this task.Sep 2 2017, 4:09 PM
simotek added a subscriber: simotek.Sep 4 2017, 5:14 AM
simotek added subscribers: stefan_schmidt, zmike.
akemp added a subscriber: akemp.Sep 4 2017, 9:39 AM

I can confirm this - happens on both X and Wayland.

zmike triaged this task as Pending on user input priority.Sep 5 2017, 9:48 AM

No debug info, can't reproduce, ticket may as well not even have been filed.

ApB added a comment.Sep 5 2017, 10:58 AM

This is what i get

#0  0x00007fb3b182a8c0 in raise () at /usr/lib/libc.so.6
#1  0x00007fb3b182bf72 in abort () at /usr/lib/libc.so.6
#2  0x00007fb3b1869be2 in __libc_message () at /usr/lib/libc.so.6
#3  0x00007fb3b18702ec in malloc_printerr () at /usr/lib/libc.so.6
#4  0x00007fb3b18716d1 in _int_free () at /usr/lib/libc.so.6
#5  0x00007fb3b2313e66 in _eina_share_common_del_head (head=0x55eab9d838d0, p_bucket=0x55eab9b8ce00) at lib/eina/eina_share_common.c:450
#6  0x00007fb3b2313e66 in eina_share_common_del (share=0x55eab9b8cd60, str=str@entry=0x55eab9d8390c "/dev/dri/card0") at lib/eina/eina_share_common.c:863
#7  0x00007fb3b231a4d1 in eina_stringshare_del (str=0x55eab9d8390c "/dev/dri/card0") at lib/eina/eina_stringshare.c:572
#8  0x00007fb3b27bf355 in ecore_drm2_device_free (device=0x55eab9d7de50) at lib/ecore_drm2/ecore_drm2_device.c:712
#9  0x000055eab7936fd2 in  ()
#10 0x00007fb3b20ce7e0 in  () at /usr/lib/libpthread.so.0
#11 0x00007fb3b182a8c0 in raise () at /usr/lib/libc.so.6
#12 0x00007fb3b182bf72 in abort () at /usr/lib/libc.so.6
#13 0x00007fb3b18235be in __assert_fail_base () at /usr/lib/libc.so.6
#14 0x00007fb3b1823633 in  () at /usr/lib/libc.so.6
#15 0x00007fb3aaa78a90 in libinput_device_group_set_user_data () at /usr/lib/libinput.so.10
#16 0x00007fb3aaa7d4f6 in  () at /usr/lib/libinput.so.10
#17 0x00007fb3aaa76645 in libinput_device_unref () at /usr/lib/libinput.so.10
#18 0x00007fb3aaca9832 in _evdev_device_destroy (edev=0x55eab9bbd3b0) at lib/elput/elput_evdev.c:1744
#19 0x00007fb3aacaa05e in _udev_seat_destroy (eseat=0x55eaba9e5a80) at lib/elput/elput_input.c:123
#20 0x00007fb3aacaa13a in _udev_seat_destroy (eseat=) at lib/elput/elput_input.c:120
#21 0x00007fb3aaca717a in _seat_event_free (d=, ev=0x55eababb6f40) at lib/elput/elput_evdev.c:6
#22 0x00007fb3b256e4bf in _ecore_call_end_cb (func_data=, user_data=0x55eaba9e5a80, func=) at lib/ecore/ecore_private.h:306
#23 0x00007fb3b256e4bf in _ecore_event_del (event=0x55eaba821080) at lib/ecore/ecore_events.c:349
#24 0x00007fb3b256e554 in _ecore_event_purge_deleted () at lib/ecore/ecore_events.c:367
#25 0x00007fb3b256f3a5 in ecore_event_type_flush_internal (type=) at lib/ecore/ecore_events.c:663
#26 0x00007fb3aacad0b4 in elput_shutdown () at lib/elput/elput.c:67
#27 0x00007fb3b27c02c1 in ecore_drm2_shutdown () at lib/ecore_drm2/ecore_drm2.c:213
#28 0x00007fb3b20ce7e0 in  () at /usr/lib/libpthread.so.0
#29 0x000055eab78af31e in  ()
#30 0x000055eab78afc23 in  ()
#31 0x00007fb37e77b815 in  () at /usr/lib/enlightenment/modules/fileman/linux-gnu-x86_64-ver-0.21/module.so
#32 0x000055eab78e2dee in  ()
#33 0x000055eab791fd48 in  ()
#34 0x000055eab791ffa4 in e_object_unref ()
#35 0x000055eab78de7e0 in e_gadcon_unpopulate ()
#36 0x000055eab78deae5 in  ()
#37 0x000055eab791ffa4 in e_object_unref ()
#38 0x000055eab793eb89 in  ()
#39 0x000055eab791ffa4 in e_object_unref ()
#40 0x00007fb37e775c09 in  () at /usr/lib/enlightenment/modules/fileman/linux-gnu-x86_64-ver-0.21/module.so
#41 0x000055eab791ffa4 in e_object_unref ()
#42 0x00007fb3b5172f60 in _eo_evas_object_cb (data=0x55eaba153f30, event=0x7ffe26f9a4f0) at lib/evas/canvas/evas_callbacks.c:184
#43 0x00007fb3ae7a04b7 in _event_callback_call (legacy_compare=1 '\001', event_info=, desc=, pd=0x55eaba7b39b0, obj_id=) at lib/eo/eo_base_class.c:1496
#44 0x00007fb3ae7a04b7 in _efl_object_event_callback_legacy_call (obj_id=, pd=0x55eaba7b39b0, desc=, event_info=) at lib/eo/eo_base_class.c:1569
#45 0x00007fb3ae79c831 in efl_event_callback_legacy_call (obj=0x800000016ddcc0e5, desc=0x7fb3b5572740 , event_info=0x0) at lib/eo/eo_base_class.c:1572
#46 0x00007fb3ae79c831 in efl_event_callback_legacy_call (obj=obj@entry=0x800000016ddcc0e5, desc=desc@entry=0x7fb3b5572740 , event_info=event_info@entry=0x0) at lib/eo/eo_base_class.c:1572
#47 0x00007fb3b51736a7 in evas_object_event_callback_call (eo_obj=0x800000016ddcc0e5, obj=0x55eaba7b39f0, type=EVAS_CALLBACK_DEL, event_info=, event_id=, efl_event_desc=0x7fb3b5572740 ) at lib/evas/canvas/evas_callbacks.c:404
#48 0x00007fb3b51a9953 in _efl_canvas_object_efl_object_destructor (eo_obj=0x800000016ddcc0e5, obj=0x55eaba7b39f0) at lib/evas/canvas/evas_object_main.c:1057
#49 0x00007fb3ae79d85d in efl_destructor (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:58
#50 0x00007fb3b51b9bc7 in _efl_canvas_group_efl_object_destructor (eo_obj=0x800000016ddcc0e5, o=0x55eaba7b3b10) at lib/evas/canvas/evas_object_smart.c:642
#51 0x00007fb3ae79d85d in efl_destructor (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:58
#52 0x00007fb3ae79d85d in efl_destructor (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:58
#53 0x00007fb3b5a2db6b in _elm_widget_efl_object_destructor (obj=0x800000016ddcc0e5, sd=0x55eaba7b3ba0) at lib/elementary/elm_widget.c:6233
#54 0x00007fb3ae79d85d in efl_destructor (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:58
#55 0x00007fb3ae79d85d in efl_destructor (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:58
#56 0x00007fb3ae7964b6 in _efl_del_internal (file=0x7fb3ae7a2e33 "lib/eo/eo.c", line=641, func_name=, obj=) at lib/eo/eo_private.h:260
#57 0x00007fb3ae7964b6 in _efl_unref_internal (file=0x7fb3ae7a2e33 "lib/eo/eo.c", line=641, func_name=, obj=) at lib/eo/eo_private.h:335
#58 0x00007fb3ae7964b6 in _efl_object_call_end (call=0x7ffe26f9aa10) at lib/eo/eo.c:641
#59 0x00007fb3ae79ccd6 in efl_del (obj=0x800000016ddcc0e5) at lib/eo/efl_object.eo.c:18
#60 0x000055eab79801cb in  ()
#61 0x00007fb3ae7a04b7 in _event_callback_call (legacy_compare=1 '\001', event_info=, desc=, pd=0x55eabaa712b0, obj_id=) at lib/eo/eo_base_class.c:1496
#62 0x00007fb3ae7a04b7 in _efl_object_event_callback_legacy_call (obj_id=, pd=0x55eabaa712b0, desc=, event_info=) at lib/eo/eo_base_class.c:1569
#63 0x00007fb3ae79c831 in efl_event_callback_legacy_call (obj=0x800000159ddcc256, desc=0x55eaba4faaf0, event_info=0x0) at lib/eo/eo_base_class.c:1572
#64 0x00007fb3ae79c831 in efl_event_callback_legacy_call (obj=0x800000159ddcc256, desc=0x55eaba4faaf0, event_info=0x0) at lib/eo/eo_base_class.c:1572
#65 0x000055eab786fd34 in e_bindings_signal_handle ()
#66 0x00007fb3b48895bb in edje_match_callback_exec_check_finals (prop=, ed=0x55eabab33d40, source=0xaaaaaaaaaaaaaaab , sig=0x55eabaaf74a0 "\220t\257\272\352U", source_states=, signal_states=, matches=, ssp=0x55eabab33d40) at lib/edje/edje_match.c:556
#67 0x00007fb3b48895bb in edje_match_callback_exec (ssp=ssp@entry=0x55eabab33d40, matches=, sig=sig@entry=0x55eab9
0, prop=prop@entry=0 '\000') at lib/edje/edje_match.c:711
#68 0x00007fb3b4890bc8 in _edje_emit_cb (prop=0 '\000', data=0x0, src=0x55eab9ce2ebc "e.event.close", sig=0x55eab9cfe56c "mouse,clicked,1", ed=0x55eabaaf74a0) at lib/edje/edje_program.c:1674
#69 0x00007fb3b4890bc8 in _edje_emit_handle (ed=0x55eabaaf74a0, sig=0x55eab9cfe56c "mouse,clicked,1", src=0x55eab9ce2ebc "e.event.close", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1626
#70 0x00007fb3b488b13f in _edje_message_queue_process () at lib/edje/edje_message_queue.c:898
#71 0x00007fb3b488b30a in _edje_message_queue_process () at lib/edje/edje_message_queue.c:864
#72 0x00007fb3b488b30a in _edje_job (data=) at lib/edje/edje_message_queue.c:265
#73 0x00007fb3b25739fb in _ecore_job_event_handler (data=, type=, ev=) at lib/ecore/ecore_job.c:98
#74 0x00007fb3b256f121 in _ecore_call_handler_cb (event=, type=, data=, func=) at lib/ecore/ecore_private.h:325
#75 0x00007fb3b256f121 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#76 0x00007fb3b2576f6b in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2398
#77 0x00007fb3b25772d7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#78 0x000055eab785f52c in  ()
#79 0x00007fb3b18174ca in __libc_start_main () at /usr/lib/libc.so.6
#80 0x000055eab786050a in _start ()
zmike added a comment.Sep 5 2017, 11:19 AM

Missing debug symbols...

ApB added a comment.Sep 5 2017, 11:52 AM

second attempt:

#0 0x00007f7d7a4e532b in eina_list_next (list=0x3fe0000000000000) at ../src/lib/eina/eina_inline_list.x:32
#1 0x00007f7d7a4e532b in elput_input_shutdown (manager=0x5584188930a0) at lib/elput/elput_input.c:444
#2 0x00007f7d81ffa2c9 in ecore_drm2_device_close (device=0x5584186396d0) at lib/ecore_drm2/ecore_drm2_device.c:698
#3 0x000055841752bfc9 in _e_crash () at src/bin/e_signals.c:87
#4 0x00007f7d819097e0 in () at /usr/lib/libpthread.so.0
#5 0x00007f7d810658c0 in raise () at /usr/lib/libc.so.6
#6 0x00007f7d81066f72 in abort () at /usr/lib/libc.so.6
#7 0x00007f7d8105e5be in __assert_fail_base () at /usr/lib/libc.so.6
#8 0x00007f7d8105e633 in () at /usr/lib/libc.so.6
#9 0x00007f7d7a2cb560 in () at /usr/lib/libinput.so.10
#10 0x00007f7d7a2ae79e in () at /usr/lib/libinput.so.10
#11 0x00007f7d7a2b13f5 in libinput_seat_unref () at /usr/lib/libinput.so.10
#12 0x00007f7d7a2b8519 in () at /usr/lib/libinput.so.10
#13 0x00007f7d7a2b1645 in libinput_device_unref () at /usr/lib/libinput.so.10
#14 0x00007f7d7a4e4832 in _evdev_device_destroy (edev=0x5584185c6c10) at lib/elput/elput_evdev.c:1744
#15 0x00007f7d7a4e505e in _udev_seat_destroy (eseat=0x5584189bfb80) at lib/elput/elput_input.c:123
#16 0x00007f7d7a4e513a in _udev_seat_destroy (eseat=) at lib/elput/elput_input.c:120
#17 0x00007f7d7a4e217a in _seat_event_free (d=, ev=0x5584193ccf00) at lib/elput/elput_evdev.c:6
#18 0x00007f7d81da94bf in _ecore_call_end_cb (func_data=, user_data=0x5584189bfb80, func=) at lib/ecore/ecore_private.h:306
#19 0x00007f7d81da94bf in _ecore_event_del (event=0x5584195b7e70) at lib/ecore/ecore_events.c:349
#20 0x00007f7d81da9554 in _ecore_event_purge_deleted () at lib/ecore/ecore_events.c:367
#21 0x00007f7d81daa3a5 in ecore_event_type_flush_internal (type=) at lib/ecore/ecore_events.c:663
#22 0x00007f7d7a4e80b4 in elput_shutdown () at lib/elput/elput.c:67
#23 0x00007f7d81ffb2c1 in ecore_drm2_shutdown () at lib/ecore_drm2/ecore_drm2.c:213
#24 0x00007f7d819097e0 in () at /usr/lib/libpthread.so.0
#25 0x00005584174a431e in e_client_util_pwin_get (ec=0x0) at src/bin/e_client.x:109
#26 0x00005584174a431e in _e_drag_win_get (h=, xdnd=) at src/bin/e_dnd.c:725
#27 0x00005584174a4c23 in e_drop_handler_del (handler=0x558419437730) at src/bin/e_dnd.c:489
#28 0x00005584174a5cfa in e_drop_handler_del (handler=) at src/bin/e_dnd.c:486
#29 0x00007f7d4df54815 in _gc_shutdown (gcc=0x55841943aff0) at src/modules/fileman/e_fwin_nav.c:444
#30 0x00005584174d7dee in _e_gadcon_client_delfn (d=, o=0x55841943aff0) at src/bin/e_gadcon.c:2094
#31 0x0000558417514d48 in e_object_free (obj=0x55841943aff0) at src/bin/e_object.c:101
#32 0x0000558417514fa4 in e_object_free (obj=0x55841943aff0) at src/bin/e_object.c:152
#33 0x0000558417514fa4 in e_object_unref (obj=obj@entry=0x55841943aff0) at src/bin/e_object.c:152
#34 0x0000558417515099 in e_object_del (obj=obj@entry=0x55841943aff0) at src/bin/e_object.c:60
#35 0x00005584174d37e0 in _e_gadcon_client_unpopulate (gcc=0x55841943aff0) at src/bin/e_gadcon.c:1620
#36 0x00005584174d37e0 in e_gadcon_unpopulate (gc=0x5584193cd460) at src/bin/e_gadcon.c:611
#37 0x00005584174d3ae5 in _e_gadcon_free (gc=0x5584193cd460) at src/bin/e_gadcon.c:2027
#38 0x0000558417514fa4 in e_object_free (obj=0x5584193cd460) at src/bin/e_object.c:152
#39 0x0000558417514fa4 in e_object_unref (obj=0x5584193cd460) at src/bin/e_object.c:152
#40 0x0000558417515099 in e_object_del (obj=) at src/bin/e_object.c:60
#41 0x0000558417533b89 in _e_toolbar_free (tbar=0x5584193aa4d0) at src/bin/e_toolbar.c:293
#42 0x0000558417514fa4 in e_object_free (obj=0x5584193aa4d0) at src/bin/e_object.c:152
#43 0x0000558417514fa4 in e_object_unref (obj=0x5584193aa4d0) at src/bin/e_object.c:152
#44 0x0000558417515099 in e_object_del (obj=) at src/bin/e_object.c:60
#45 0x00007f7d4df4ec09 in _e_fwin_page_free (page=0x558419337580) at src/modules/fileman/e_fwin.c:1145
#46 0x00007f7d4df4ec09 in _e_fwin_free (fwin=0x5584192feea0) at src/modules/fileman/e_fwin.c:773
#47 0x0000558417514fa4 in e_object_free (obj=0x5584192feea0) at src/bin/e_object.c:152
#48 0x0000558417514fa4 in e_object_unref (obj=0x5584192feea0) at src/bin/e_object.c:152
#49 0x00007f7d849adf60 in _eo_evas_object_cb (data=0x558419346950, event=0x7fffae609a00) at lib/evas/canvas/evas_callbacks.c:184
#50 0x00007f7d7dfdb4b7 in _event_callback_call (legacy_compare=1 '\001', event_info=, desc=, pd=0x558418fc77a0, obj_id=) at lib/eo/eo_base_class.c:1496
#51 0x00007f7d7dfdb4b7 in _efl_object_event_callback_legacy_call (obj_id=, pd=0x558418fc77a0, desc=, event_info=) at lib/eo/eo_base_class.c:1569
#52 0x00007f7d7dfd7831 in efl_event_callback_legacy_call (obj=0x8000002a174bccca, desc=0x7f7d84dad740 , event_info=0x0) at lib/eo/eo_base_class.c:1572
#53 0x00007f7d7dfd7831 in efl_event_callback_legacy_call (obj=obj@entry=0x8000002a174bccca, desc=desc@entry=0x7f7d84dad740 , event_info=event_info@entry=0x0) at lib/eo/eo_base_class.c:1572
#54 0x00007f7d849ae6a7 in evas_object_event_callback_call (eo_obj=0x8000002a174bccca, obj=0x558418fc77e0, type=EVAS_CALLBACK_DEL, event_info=, event_id=, efl_event_desc=0x7f7d84dad740 ) at lib/evas/canvas/evas_callbacks.c:404
#55 0x00007f7d849e4953 in _efl_canvas_object_efl_object_destructor (eo_obj=0x8000002a174bccca, obj=0x558418fc77e0) at lib/evas/canvas/evas_object_main.c:1057
#56 0x00007f7d7dfd885d in efl_destructor (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:58
#57 0x00007f7d849f4bc7 in _efl_canvas_group_efl_object_destructor (eo_obj=0x8000002a174bccca, o=0x558418fc7900) at lib/evas/canvas/evas_object_smart.c:642
#58 0x00007f7d7dfd885d in efl_destructor (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:58
#59 0x00007f7d7dfd885d in efl_destructor (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:58
#60 0x00007f7d85268b6b in _elm_widget_efl_object_destructor (obj=0x8000002a174bccca, sd=0x558418fc7990) at lib/elementary/elm_widget.c:6233
#61 0x00007f7d7dfd885d in efl_destructor (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:58
#62 0x00007f7d7dfd885d in efl_destructor (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:58
#63 0x00007f7d7dfd14b6 in _efl_del_internal (file=0x7f7d7dfdde33 "lib/eo/eo.c", line=641, func_name=, obj=) at lib/eo/eo_private.h:260
#64 0x00007f7d7dfd14b6 in _efl_unref_internal (file=0x7f7d7dfdde33 "lib/eo/eo.c", line=641, func_name=, obj=) at lib/eo/eo_private.h:335
#65 0x00007f7d7dfd14b6 in _efl_object_call_end (call=0x7fffae609f20) at lib/eo/eo.c:641
#66 0x00007f7d7dfd7cd6 in efl_del (obj=0x8000002a174bccca) at lib/eo/efl_object.eo.c:18
#67 0x00007f7d849e3f9d in evas_object_del (eo_obj=) at lib/evas/canvas/evas_object_main.c:897
#68 0x00005584175751cb in _e_comp_wl_evas_cb_delete_request (data=0x5584194052f0, obj=, event=) at src/bin/e_comp_wl.c:944
#69 0x00007f7d7dfdb4b7 in _event_callback_call (legacy_compare=1 '\001', event_info=, desc=, pd=0x5584194058a0, obj_id=) at lib/eo/eo_base_class.c:1496
#70 0x00007f7d7dfdb4b7 in _efl_object_event_callback_legacy_call (obj_id=, pd=0x5584194058a0, desc=, event_info=) at lib/eo/eo_base_class.c:1569
#71 0x00007f7d7dfd7831 in efl_event_callback_legacy_call (obj=0x80000009bf4bce3b, desc=0x5584185519f0, event_info=0x0) at lib/eo/eo_base_class.c:1572
#72 0x00007f7d7dfd7831 in efl_event_callback_legacy_call (obj=0x80000009bf4bce3b, desc=0x5584185519f0, event_info=0x0) at lib/eo/eo_base_class.c:1572
#73 0x0000558417464d34 in e_bindings_signal_handle (ctxt=, obj=0x5584194052f0, sig=0x55841857816c "mouse,clicked,1", src=0x5584185e226c "e.event.close") at src/bin/e_bindings.c:1067
#74 0x00007f7d840c45bb in edje_match_callback_exec_check_finals (prop=, ed=0x558419498070, source=0xaaaaaaaaaaaaaaab , sig=0x5584194073c0 "\260s@\031\204U", source_states=, signal_states=, matches=, ssp=0x558419498070) at lib/edje/edje_match.c:556
#75 0x00007f7d840c45bb in edje_match_callback_exec (ssp=ssp@entry=0x558419498070, matches=, sig=sig@entry=0x55841857816c "mouse,clicked,1", source=source@entry=0x5584185e226c "e.event.close", ed=ed@entry=0x5584194073c0, prop=prop@entry=0 '\000') at lib/edje/edje_match.c:711
#76 0x00007f7d840cbbc8 in _edje_emit_cb (prop=0 '\000', data=0x0, src=0x5584185e226c "e.event.close", sig=0x55841857816c "mouse,clicked,1", ed=0x5584194073c0) at lib/edje/edje_program.c:1674
#77 0x00007f7d840cbbc8 in _edje_emit_handle (ed=0x5584194073c0, sig=0x55841857816c "mouse,clicked,1", src=0x5584185e226c "e.event.close", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1626
#78 0x00007f7d840c613f in _edje_message_queue_process () at lib/edje/edje_message_queue.c:898
#79 0x00007f7d840c630a in _edje_message_queue_process () at lib/edje/edje_message_queue.c:864
#80 0x00007f7d840c630a in _edje_job (data=) at lib/edje/edje_message_queue.c:265
#81 0x00007f7d81dae9fb in _ecore_job_event_handler (data=, type=, ev=) at lib/ecore/ecore_job.c:98
#82 0x00007f7d81daa121 in _ecore_call_handler_cb (event=, type=, data=, func=) at lib/ecore/ecore_private.h:325
#83 0x00007f7d81daa121 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#84 0x00007f7d81db1f6b in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2398
#85 0x00007f7d81db22d7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#86 0x000055841745452c in main (argc=, argv=) at src/bin/e_main.c:1079
(gdb)

zmike raised the priority of this task from Pending on user input to Showstopper Issues.Sep 7 2017, 11:58 AM
zmike removed a project: Restricted Project.
zmike assigned this task to jpeg.

This is a regression (still present in master) caused by rEFLf54d891b2c7ef648e8593242b771f782e4655950 which changed efl_data_scope_get to efl_data_scope_safe_get for many cases, breaking expected behavior on functions such as elm_win_trap_data_get.

Which behaviour did you expect ?

Which behaviour did you expect ?

jpeg added a comment.Sep 11 2017, 11:10 PM

And I am really sorry to have introduced these crashes. :(

cedric added a subscriber: cedric.Sep 12 2017, 2:16 PM

@bu5hm4n The object should still return the data I guess, as the object is kind of still living even if dying.

jpeg added a comment.Sep 12 2017, 5:46 PM
In T5976#98029, @cedric wrote:

@bu5hm4n The object should still return the data I guess, as the object is kind of still living even if dying.

That's right and that's what @cedric's patch does, which I backported. Can we close this issue now?

zmike closed this task as Resolved.Sep 13 2017, 4:07 AM

Is this supposed to be resolved in 0.22-alpha? If so its not for me on my dual display desktop under X.

In T5976#98534, @wltjr wrote:

Is this supposed to be resolved in 0.22-alpha? If so its not for me on my dual display desktop under X.

Its a efl bug, it will be fixed in 1.20.4 to be released soon

Ah ok thanks! :)